ApiClusterTemplateHostInfo (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiClusterTemplateHostInfo

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiClusterTemplateHostInfo

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiClusterTemplateHostInfo
      extends Object

  This contains information about the host or host range on which provided host template will be applied.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClusterTemplateHostInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClusterTemplateHostInfo` | `addRoleRefNamesItem(String roleRefNamesItem)`
    `boolean` | `equals(Object o)`
    `String` | `getHostName()` Host name
    `String` | `getHostNameRange()` Host range.
    `String` | `getHostTemplateRefName()` Pointing to the host template reference in the cluster template.
    `String` | `getRackId()` Rack Id
    `List<String>` | `getRoleRefNames()` This will used to resolve the roles defined in the cluster template.
    `int` | `hashCode()`
    `ApiClusterTemplateHostInfo` | `hostName(String hostName)`
    `ApiClusterTemplateHostInfo` | `hostNameRange(String hostNameRange)`
    `ApiClusterTemplateHostInfo` | `hostTemplateRefName(String hostTemplateRefName)`
    `ApiClusterTemplateHostInfo` | `rackId(String rackId)`
    `ApiClusterTemplateHostInfo` | `roleRefNames(List<String> roleRefNames)`
    `void` | `setHostName(String hostName)`
    `void` | `setHostNameRange(String hostNameRange)`
    `void` | `setHostTemplateRefName(String hostTemplateRefName)`
    `void` | `setRackId(String rackId)`
    `void` | `setRoleRefNames(List<String> roleRefNames)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClusterTemplateHostInfo

          public ApiClusterTemplateHostInfo()

  - ### Method Detail

    - #### hostName

          public ApiClusterTemplateHostInfo hostName(String hostName)

    - #### getHostName

          public String getHostName()

      Host name
      Returns:
        hostName

    - #### setHostName

          public void setHostName(String hostName)

    - #### hostNameRange

          public ApiClusterTemplateHostInfo hostNameRange(String hostNameRange)

    - #### getHostNameRange

          public String getHostNameRange()

      Host range. Either this this or host name must be provided.
      Returns:
        hostNameRange

    - #### setHostNameRange

          public void setHostNameRange(String hostNameRange)

    - #### rackId

          public ApiClusterTemplateHostInfo rackId(String rackId)

    - #### getRackId

          public String getRackId()

      Rack Id
      Returns:
        rackId

    - #### setRackId

          public void setRackId(String rackId)

    - #### hostTemplateRefName

          public ApiClusterTemplateHostInfo hostTemplateRefName(String hostTemplateRefName)

    - #### getHostTemplateRefName

          public String getHostTemplateRefName()

      Pointing to the host template reference in the cluster template.
      Returns:
        hostTemplateRefName

    - #### setHostTemplateRefName

          public void setHostTemplateRefName(String hostTemplateRefName)

    - #### roleRefNames

          public ApiClusterTemplateHostInfo roleRefNames(List<String> roleRefNames)

    - #### addRoleRefNamesItem

          public ApiClusterTemplateHostInfo addRoleRefNamesItem(String roleRefNamesItem)

    - #### getRoleRefNames

          public List<String> getRoleRefNames()

      This will used to resolve the roles defined in the cluster template. This roleRefName will be used to connect this host with that a role reference defined in cluster template.
      Returns:
        roleRefNames

    - #### setRoleRefNames

          public void setRoleRefNames(List<String> roleRefNames)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.